VTK: vtkXdmf3DataSet Class Reference

| VTK 9.3.1

Static Public Member Functions | List of all members
vtkXdmf3DataSet Class Reference

dataset level translation between xdmf3 and vtk More...

`#include <vtkXdmf3DataSet.h>`

## Static Public Member Functions
static vtkDataArray * | XdmfToVTKArray (XdmfArray *xArray, std::string attrName, unsigned int preferredComponents=0, vtkXdmf3ArrayKeeper *keeper=nullptr)
| Returns a VTK array corresponding to the Xdmf array it is given. More...
static bool | VTKToXdmfArray (vtkDataArray *vArray, XdmfArray *xArray, unsigned int rank=0, unsigned int *dims=nullptr)
| Populates and Xdmf array corresponding to the VTK array it is given. More...
static void | XdmfToVTKAttributes (vtkXdmf3ArraySelection *fselection, vtkXdmf3ArraySelection *cselection, vtkXdmf3ArraySelection *pselection, XdmfGrid *grid, vtkDataObject *dObject, vtkXdmf3ArrayKeeper *keeper=nullptr)
| Populates the given VTK DataObject's attribute arrays with the selected arrays from the Xdmf Grid. More...
static void | VTKToXdmfAttributes (vtkDataObject *dObject, XdmfGrid *grid)
| Populates the given Xdmf Grid's attribute arrays with the selected arrays from the VTK DataObject. More...
static void | XdmfToVTK (vtkXdmf3ArraySelection *fselection, vtkXdmf3ArraySelection *cselection, vtkXdmf3ArraySelection *pselection, XdmfRegularGrid *grid, vtkImageData *dataSet, vtkXdmf3ArrayKeeper *keeper=nullptr)
| Populates the VTK data set with the contents of the Xdmf grid. More...
static void | CopyShape (XdmfRegularGrid *grid, vtkImageData *dataSet, vtkXdmf3ArrayKeeper *keeper=nullptr)
| Helper that does topology for XdmfToVTK. More...
static void | VTKToXdmf (vtkImageData *dataSet, XdmfDomain *domain, bool hasTime, double time, const char *name=nullptr)
| Populates the Xdmf Grid with the contents of the VTK data set. More...
static void | XdmfToVTK (vtkXdmf3ArraySelection *fselection, vtkXdmf3ArraySelection *cselection, vtkXdmf3ArraySelection *pselection, XdmfRectilinearGrid *grid, vtkRectilinearGrid *dataSet, vtkXdmf3ArrayKeeper *keeper=nullptr)
| Populates the VTK data set with the contents of the Xdmf grid. More...
static void | CopyShape (XdmfRectilinearGrid *grid, vtkRectilinearGrid *dataSet, vtkXdmf3ArrayKeeper *keeper=nullptr)
| Helper that does topology for XdmfToVTK. More...
static void | VTKToXdmf (vtkRectilinearGrid *dataSet, XdmfDomain *domain, bool hasTime, double time, const char *name=nullptr)
| Populates the Xdmf Grid with the contents of the VTK data set. More...
static void | XdmfToVTK (vtkXdmf3ArraySelection *fselection, vtkXdmf3ArraySelection *cselection, vtkXdmf3ArraySelection *pselection, XdmfCurvilinearGrid *grid, vtkStructuredGrid *dataSet, vtkXdmf3ArrayKeeper *keeper=nullptr)
| Populates the VTK data set with the contents of the Xdmf grid. More...
static void | CopyShape (XdmfCurvilinearGrid *grid, vtkStructuredGrid *dataSet, vtkXdmf3ArrayKeeper *keeper=nullptr)
| Helper that does topology for XdmfToVTK. More...
static void | VTKToXdmf (vtkStructuredGrid *dataSet, XdmfDomain *domain, bool hasTime, double time, const char *name=nullptr)
| Populates the Xdmf Grid with the contents of the VTK data set. More...
static void | XdmfToVTK (vtkXdmf3ArraySelection *fselection, vtkXdmf3ArraySelection *cselection, vtkXdmf3ArraySelection *pselection, XdmfUnstructuredGrid *grid, vtkUnstructuredGrid *dataSet, vtkXdmf3ArrayKeeper *keeper=nullptr)
| Populates the VTK data set with the contents of the Xdmf grid. More...
static void | CopyShape (XdmfUnstructuredGrid *grid, vtkUnstructuredGrid *dataSet, vtkXdmf3ArrayKeeper *keeper=nullptr)
| Helper that does topology for XdmfToVTK. More...
static void | VTKToXdmf (vtkPointSet *dataSet, XdmfDomain *domain, bool hasTime, double time, const char *name=nullptr)
| Populates the Xdmf Grid with the contents of the VTK data set. More...
static void | XdmfToVTK (vtkXdmf3ArraySelection *fselection, vtkXdmf3ArraySelection *cselection, vtkXdmf3ArraySelection *pselection, XdmfGraph *grid, vtkMutableDirectedGraph *dataSet, vtkXdmf3ArrayKeeper *keeper=nullptr)
| Populates the VTK graph with the contents of the Xdmf grid. More...
static void | VTKToXdmf (vtkDirectedGraph *dataSet, XdmfDomain *domain, bool hasTime, double time, const char *name=nullptr)
| Populates the Xdmf Grid with the contents of the VTK data set. More...
static void | XdmfToVTKAttributes (XdmfSet *grid, vtkDataObject *dObject, vtkXdmf3ArrayKeeper *keeper=nullptr)
| Populates the given VTK DataObject's attribute arrays with the selected arrays from the Xdmf Grid. More...
static void | XdmfSubsetToVTK (XdmfGrid *grid, unsigned int setnum, vtkDataSet *dataSet, vtkUnstructuredGrid *subSet, vtkXdmf3ArrayKeeper *keeper=nullptr)
| Extracts numbered subset out of grid (grid corresponds to dataSet), and fills in subSet with it. More...
static int | GetVTKFiniteElementCellType (unsigned int element_degree, const std::string &element_family, shared_ptr< const XdmfTopologyType > topologyType)
| Converts XDMF topology type, finite element family and degree into an equivalent (or approximative) representation via VTK cell type. More...
static void | ParseFiniteElementFunction (vtkDataObject *dObject, shared_ptr< XdmfAttribute > xmfAttribute, vtkDataArray *array, XdmfGrid *grid, vtkXdmf3ArrayKeeper *keeper=nullptr)
| Parses finite element function defined in Attribute. More...
static unsigned int | GetNumberOfPointsPerCell (int vtk_cell_type, bool &fail)
| Helpers for Unstructured Grid translation. More...
static int | GetVTKCellType (shared_ptr< const XdmfTopologyType > topologyType)
| Helpers for Unstructured Grid translation. More...
static int | GetXdmfCellType (int vtkType)
| Helpers for Unstructured Grid translation. More...
static void | SetTime (XdmfGrid *grid, double hasTime, double time)
| Helper used in VTKToXdmf to set the time in a Xdmf grid. More...
static void | SetTime (XdmfGraph *graph, double hasTime, double time)
| Helper used in VTKToXdmf to set the time in a Xdmf grid. More...

## Detailed Description

dataset level translation between xdmf3 and vtk

This class holds static methods that translate the five atomic data types between vtk and xdmf3.

This file is a helper for the vtkXdmf3Reader and vtkXdmf3Writer and not intended to be part of VTK public API

Definition at line 52 of file vtkXdmf3DataSet.h.

## Member Function Documentation

## ◆ XdmfToVTKArray()

static vtkDataArray* vtkXdmf3DataSet::XdmfToVTKArray | ( | XdmfArray * | xArray,
|  | std::string | attrName,
|  | unsigned int | preferredComponents = `0`,
|  | vtkXdmf3ArrayKeeper * | keeper = `nullptr`
| ) |  |
| static

Returns a VTK array corresponding to the Xdmf array it is given.

## ◆ VTKToXdmfArray()

static bool vtkXdmf3DataSet::VTKToXdmfArray | ( | vtkDataArray * | vArray,
|  | XdmfArray * | xArray,
|  | unsigned int | rank = `0`,
|  | unsigned int * | dims = `nullptr`
| ) |  |
| static

Populates and Xdmf array corresponding to the VTK array it is given.

## ◆ XdmfToVTKAttributes() [1/2]

static void vtkXdmf3DataSet::XdmfToVTKAttributes | ( | vtkXdmf3ArraySelection * | fselection,
|  | vtkXdmf3ArraySelection * | cselection,
|  | vtkXdmf3ArraySelection * | pselection,
|  | XdmfGrid * | grid,
|  | vtkDataObject * | dObject,
|  | vtkXdmf3ArrayKeeper * | keeper = `nullptr`
| ) |  |
| static

Populates the given VTK DataObject's attribute arrays with the selected arrays from the Xdmf Grid.

## ◆ VTKToXdmfAttributes()

static void vtkXdmf3DataSet::VTKToXdmfAttributes | ( | vtkDataObject * | dObject,
|  | XdmfGrid * | grid
| ) |  |
| static

Populates the given Xdmf Grid's attribute arrays with the selected arrays from the VTK DataObject.

## ◆ GetNumberOfPointsPerCell()

static unsigned int vtkXdmf3DataSet::GetNumberOfPointsPerCell | ( | int | vtk_cell_type,
|  | bool & | fail
| ) |  |
| static

Helpers for Unstructured Grid translation.

## ◆ GetVTKCellType()

static int vtkXdmf3DataSet::GetVTKCellType | ( | shared_ptr< const XdmfTopologyType > | topologyType | ) |
| static

Helpers for Unstructured Grid translation.

## ◆ GetXdmfCellType()

static int vtkXdmf3DataSet::GetXdmfCellType | ( | int | vtkType | ) |
| static

Helpers for Unstructured Grid translation.

## ◆ SetTime() [1/2]

static void vtkXdmf3DataSet::SetTime | ( | XdmfGrid * | grid,
|  | double | hasTime,
|  | double | time
| ) |  |
| static

Helper used in VTKToXdmf to set the time in a Xdmf grid.

## ◆ SetTime() [2/2]

static void vtkXdmf3DataSet::SetTime | ( | XdmfGraph * | graph,
|  | double | hasTime,
|  | double | time
| ) |  |
| static

Helper used in VTKToXdmf to set the time in a Xdmf grid.

## ◆ XdmfToVTK() [1/5]

static void vtkXdmf3DataSet::XdmfToVTK | ( | vtkXdmf3ArraySelection * | fselection,
|  | vtkXdmf3ArraySelection * | cselection,
|  | vtkXdmf3ArraySelection * | pselection,
|  | XdmfRegularGrid * | grid,
|  | vtkImageData * | dataSet,
|  | vtkXdmf3ArrayKeeper * | keeper = `nullptr`
| ) |  |
| static

Populates the VTK data set with the contents of the Xdmf grid.

## ◆ CopyShape() [1/4]

static void vtkXdmf3DataSet::CopyShape | ( | XdmfRegularGrid * | grid,
|  | vtkImageData * | dataSet,
|  | vtkXdmf3ArrayKeeper * | keeper = `nullptr`
| ) |  |
| static

Helper that does topology for XdmfToVTK.

## ◆ VTKToXdmf() [1/5]

static void vtkXdmf3DataSet::VTKToXdmf | ( | vtkImageData * | dataSet,
|  | XdmfDomain * | domain,
|  | bool | hasTime,
|  | double | time,
|  | const char * | name = `nullptr`
| ) |  |
| static

Populates the Xdmf Grid with the contents of the VTK data set.

## ◆ XdmfToVTK() [2/5]

static void vtkXdmf3DataSet::XdmfToVTK | ( | vtkXdmf3ArraySelection * | fselection,
|  | vtkXdmf3ArraySelection * | cselection,
|  | vtkXdmf3ArraySelection * | pselection,
|  | XdmfRectilinearGrid * | grid,
|  | vtkRectilinearGrid * | dataSet,
|  | vtkXdmf3ArrayKeeper * | keeper = `nullptr`
| ) |  |
| static

Populates the VTK data set with the contents of the Xdmf grid.

## ◆ CopyShape() [2/4]

static void vtkXdmf3DataSet::CopyShape | ( | XdmfRectilinearGrid * | grid,
|  | vtkRectilinearGrid * | dataSet,
|  | vtkXdmf3ArrayKeeper * | keeper = `nullptr`
| ) |  |
| static

Helper that does topology for XdmfToVTK.

## ◆ VTKToXdmf() [2/5]

static void vtkXdmf3DataSet::VTKToXdmf | ( | vtkRectilinearGrid * | dataSet,
|  | XdmfDomain * | domain,
|  | bool | hasTime,
|  | double | time,
|  | const char * | name = `nullptr`
| ) |  |
| static

Populates the Xdmf Grid with the contents of the VTK data set.

## ◆ XdmfToVTK() [3/5]

static void vtkXdmf3DataSet::XdmfToVTK | ( | vtkXdmf3ArraySelection * | fselection,
|  | vtkXdmf3ArraySelection * | cselection,
|  | vtkXdmf3ArraySelection * | pselection,
|  | XdmfCurvilinearGrid * | grid,
|  | vtkStructuredGrid * | dataSet,
|  | vtkXdmf3ArrayKeeper * | keeper = `nullptr`
| ) |  |
| static

Populates the VTK data set with the contents of the Xdmf grid.

## ◆ CopyShape() [3/4]

static void vtkXdmf3DataSet::CopyShape | ( | XdmfCurvilinearGrid * | grid,
|  | vtkStructuredGrid * | dataSet,
|  | vtkXdmf3ArrayKeeper * | keeper = `nullptr`
| ) |  |
| static

Helper that does topology for XdmfToVTK.

## ◆ VTKToXdmf() [3/5]

static void vtkXdmf3DataSet::VTKToXdmf | ( | vtkStructuredGrid * | dataSet,
|  | XdmfDomain * | domain,
|  | bool | hasTime,
|  | double | time,
|  | const char * | name = `nullptr`
| ) |  |
| static

Populates the Xdmf Grid with the contents of the VTK data set.

## ◆ XdmfToVTK() [4/5]

static void vtkXdmf3DataSet::XdmfToVTK | ( | vtkXdmf3ArraySelection * | fselection,
|  | vtkXdmf3ArraySelection * | cselection,
|  | vtkXdmf3ArraySelection * | pselection,
|  | XdmfUnstructuredGrid * | grid,
|  | vtkUnstructuredGrid * | dataSet,
|  | vtkXdmf3ArrayKeeper * | keeper = `nullptr`
| ) |  |
| static

Populates the VTK data set with the contents of the Xdmf grid.

## ◆ CopyShape() [4/4]

static void vtkXdmf3DataSet::CopyShape | ( | XdmfUnstructuredGrid * | grid,
|  | vtkUnstructuredGrid * | dataSet,
|  | vtkXdmf3ArrayKeeper * | keeper = `nullptr`
| ) |  |
| static

Helper that does topology for XdmfToVTK.

## ◆ VTKToXdmf() [4/5]

static void vtkXdmf3DataSet::VTKToXdmf | ( | vtkPointSet * | dataSet,
|  | XdmfDomain * | domain,
|  | bool | hasTime,
|  | double | time,
|  | const char * | name = `nullptr`
| ) |  |
| static

Populates the Xdmf Grid with the contents of the VTK data set.

## ◆ XdmfToVTK() [5/5]

static void vtkXdmf3DataSet::XdmfToVTK | ( | vtkXdmf3ArraySelection * | fselection,
|  | vtkXdmf3ArraySelection * | cselection,
|  | vtkXdmf3ArraySelection * | pselection,
|  | XdmfGraph * | grid,
|  | vtkMutableDirectedGraph * | dataSet,
|  | vtkXdmf3ArrayKeeper * | keeper = `nullptr`
| ) |  |
| static

Populates the VTK graph with the contents of the Xdmf grid.

## ◆ VTKToXdmf() [5/5]

static void vtkXdmf3DataSet::VTKToXdmf | ( | vtkDirectedGraph * | dataSet,
|  | XdmfDomain * | domain,
|  | bool | hasTime,
|  | double | time,
|  | const char * | name = `nullptr`
| ) |  |
| static

Populates the Xdmf Grid with the contents of the VTK data set.

## ◆ XdmfToVTKAttributes() [2/2]

static void vtkXdmf3DataSet::XdmfToVTKAttributes | ( | XdmfSet * | grid,
|  | vtkDataObject * | dObject,
|  | vtkXdmf3ArrayKeeper * | keeper = `nullptr`
| ) |  |
| static

Populates the given VTK DataObject's attribute arrays with the selected arrays from the Xdmf Grid.

## ◆ XdmfSubsetToVTK()

static void vtkXdmf3DataSet::XdmfSubsetToVTK | ( | XdmfGrid * | grid,
|  | unsigned int | setnum,
|  | vtkDataSet * | dataSet,
|  | vtkUnstructuredGrid * | subSet,
|  | vtkXdmf3ArrayKeeper * | keeper = `nullptr`
| ) |  |
| static

Extracts numbered subset out of grid (grid corresponds to dataSet), and fills in subSet with it.

## ◆ GetVTKFiniteElementCellType()

static int vtkXdmf3DataSet::GetVTKFiniteElementCellType | ( | unsigned int | element_degree,
|  | const std::string & | element_family,
|  | shared_ptr< const XdmfTopologyType > | topologyType
| ) |  |
| static

Converts XDMF topology type, finite element family and degree into an equivalent (or approximative) representation via VTK cell type.

## ◆ ParseFiniteElementFunction()

static void vtkXdmf3DataSet::ParseFiniteElementFunction | ( | vtkDataObject * | dObject,
|  | shared_ptr< XdmfAttribute > | xmfAttribute,
|  | vtkDataArray * | array,
|  | XdmfGrid * | grid,
|  | vtkXdmf3ArrayKeeper * | keeper = `nullptr`
| ) |  |
| static

Parses finite element function defined in Attribute.

This method changes geometry stored in vtkDataObject and adds Point/Cell data field.

XdmfAttribute must contain 2 arrays - one is the XdmfAttribute itself and remaining one the auxiliary array. Interpretation of the arrays is described in XDMF wiki page http://www.xdmf.org/index.php/XDMF_Model_and_Format#Attribute

The documentation for this class was generated from the following file:

- IO/Xdmf3/vtkXdmf3DataSet.h